<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $pro = isset($_POST["pro"]) ? $_POST["pro"]: '';
    $cha = isset($_POST["cha"]) ? $_POST["cha"]: '';
    $unidade = isset($_POST["unidade"]) ? $_POST["unidade"]: '';
    $nivel = isset($_POST["nivel"]) ? $_POST["nivel"]: '';
    $busca_chave=$pdo_sgt->prepare("SELECT * FROM tb_chaves WHERE unidade=:unidade AND produto=:produto AND chave=:chave");
    $busca_chave->bindValue(":unidade",$unidade);
    $busca_chave->bindValue(":produto",$pro);
    $busca_chave->bindValue(":chave",$cha);
    $busca_chave->execute();
    $dados_chave=$busca_chave->fetch(PDO::FETCH_ASSOC);
    if($dados_chave['chave'] == $cha && $dados_chave['id'] != $id){
        echo"<script language='javascript' type='text/javascript'>
            alert('Esta Chave para este Produto e Unidade já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }else{
        $atualizar=$pdo_sgt->prepare("UPDATE tb_chaves SET produto=:produto,chave=:chave,unidade=:unidade,nivel=:nivel WHERE id=:id");
        $atualizar->bindValue(":produto",$pro);
        $atualizar->bindValue(":chave",$cha);
        $atualizar->bindValue(":unidade",$unidade);
        $atualizar->bindValue(":nivel",$nivel);
        $atualizar->bindValue(":id",$id);
        $atualizar->execute();
        $mensagem = "Dados alterados na tabela: tb_chaves - "
            . "Para os campos: produto, chave, unidade, nivel - "
            . "Com os seguintes valores: $pro, $cha, $unidade, $nivel - "
            . "Do id: $id.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_cha.php';
        </script>";
    }
?>